RelayAPI

Check health of a single connected account

GET
/v1/accounts/{id}/health
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.relayapi.dev/v1/accounts/string/health"
{
  "id": "string",
  "platform": "string",
  "username": "string",
  "display_name": "string",
  "avatar_url": "string",
  "healthy": true,
  "token_expires_at": "string",
  "scopes": [
    "string"
  ],
  "sync": {
    "enabled": true,
    "last_sync_at": "string",
    "next_sync_at": "string",
    "total_posts_synced": 0,
    "total_sync_runs": 0,
    "last_error": "string",
    "last_error_at": "string",
    "consecutive_errors": 0,
    "rate_limit_reset_at": "string"
  },
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo